Subject: bug#24555: [PATCH] Remove unused variable `command-debug-status'

From: Philippe Vaucher <[email-masked]>
Date: Thu, 29 Sep 2016 08:50:08 +0200

>> In a nutshell, it's a variable provided for storing arbitrary data
>> that persists for the duration of the current interactive command.
>
> Can't think of any situation where I'd want/need that.  The name seems
> to indicate it could be used that way in the context of debugging, but
> even in that kind of scenario I'm unable to come up with a use-case.

That's why I asked what was the use of such variable... even if we
restore the code that sets it, it is not used anywhere else.

The commit history suggest it might have been useful near the start of
the development of Emacs, but I don't think it is anymore.

I vote for dropping it.

Philippe